Skip to main content
GET
Search files

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Query Parameters

Text the name must contain

folder_id
integer

Only files directly in this folder

mime
string

Only files of this MIME type. A trailing wildcard matches a family, e.g. image/*.

kind
enum<string>
Available options:
image,
pdf,
document,
spreadsheet,
presentation
tag_ids[]
integer[]

Only files carrying any of these tags

created_by
integer
expiring_within_days
integer
updated_since
string<date-time>
updated_before
string<date-time>

Response

Search results

data
object